
//  =======================================
//     SETTINGS
//  =======================================
$wideChat: true;
$enableDimNavs: true;
$grayTop: true;


//  =======================================
//      COLORS
//  =======================================
$red: #e21212;
$purple: #8f68d8;



//  =======================================
//      FADING MENU ITEMS
//  =======================================
$nav: '.top-nav';
$channelHeader: '.channel-header';
$sidebar: '.side-nav';
$channelInfoBar: '.channel-info-bar';


@if $enableDimNavs {
    
    $items: $nav $channelHeader $sidebar $channelInfoBar;
    
    @each $item in $items {
        #{$item}{
            transition: opacity .25s;
            opacity: .3;
            z-index: 999;
        }
        body:hover #{$item}{
            opacity: .6;
            // opacity: 1;
        }
        body #{$item}:hover{
            opacity: 1;
        }
    }
    
    
    
    #{$sidebar}{
        z-index: 999;
    }
}



//  =======================================
//      GRAY TOP
//  =======================================
@if $grayTop {
    .top-nav__menu{
        background-color: #19171c !important;
        border-bottom: 1px solid hsla(0,0%,100%,.05)!important;
    }
    .channel-header{
        background-color: #0f0e11 !important;
    }
}



//  =======================================
//      BIGGER CHAT
//  =======================================
@if $wideChat {
    
    #chatsize{
        z-index: 9999999999999999999;
        background: red;
    }
    
    
    .channel-root__right-column{
        width: 100% !important;
    }
    .right-column--beside{
        width: 44.8rem;
    }
    .emote-picker{
        width: 100% !important;
    }
    html body .emote-picker__tab-content{
        height: calc(100vh - 320px) !important;
    }
}



//  =======================================
//      FAV STREAMERS
//  =======================================
.fav-streamer{
  order: -1;


  .tw-hover-accent-effect__corner--top {
    border-right: .6rem solid gold !important;
  }

  .tw-hover-accent-effect__corner--bottom {
    border-top: .6rem solid gold !important;
  }

  .tw-hover-accent-effect__edge {
    background: gold !important;
  }

  // ===
  .preview-card__titles-wrapper .preview-card-titles__subtitle-wrapper>div:first-of-type a{
    color: gold !important;
  }
  .tw-channel-status-text-indicator{
    background: gold;
    color: #202020 !important;
  }
  .tw-avatar img{
    border: 3px solid gold !important;
  }
  *:hover{
    color: lighten(gold, 10) !important;
  }
}








//  =======================================
//      OTHER
//  =======================================
// purple twitch username
.preview-card__titles-wrapper .preview-card-titles__subtitle-wrapper > div:first-of-type a{
  color: $purple;
}
  
// purple theatre mode button
*[data-a-target="player-theatre-mode-button"] * {
  fill: $purple !important;
}

// heigher emote selector
body .emote-picker__tab-content{
  height: 420px !important;
}

// hice chat alert on old player-streaminfo__viewers
.video-chat__header.tw-flex{
  display: none !important;
}

// BTTV emote button
#emote-menu-button{
  opacity: 0.2 !important;
}

// hide channel points
.community-points-summary.tw-flex {
  display: none !important;
}

// squadmode - maybe ?
.channel-root__player-container{
  // opacity: 0.2;
}

// bs sub train shit
.community-highlight-stack__card{
  // display: none;
}